## rsyslog 8.2302.0

=== debian/changelog ===
rsyslog (8.2302.0-1ubuntu3) lunar; urgency=medium

  * d/usr.sbin.rsyslog: allow access to /dev/console on the AppArmor policy
    (LP: #2009230)

 -- Georgia Garcia <georgia.garcia@canonical.com>  Fri, 24 Mar 2023 11:28:25 -0300

rsyslog (8.2302.0-1ubuntu2) lunar; urgency=medium

  * d/t/simple-*, d/t/control: ignore aa-enforce error, which can happen
    on armhf in the Ubuntu DEP8 infrastructure, and allow-stderr for
    these tests (LP: #2008393)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 Feb 2023 18:56:07 -0300

rsyslog (8.2302.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/force-complain,
        /etc/apparmor.d/disable and /etc/apparmor.d/local,
        /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as non
      log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests (LP #1906333):
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: DEP8 test using rsyslog with a
        MySQL server
      + d/t/control, d/t/simple-pgsql: DEP8 test using rsyslog with a
        PostgreSQL server
      + d/t/apparmor-include-mechanism: DEP8 test for the rsyslog.d
        include mechanism used by the rsyslog apparmor profile
  * Added:
    - d/rsyslog.dirs: no need to install force-complain, disable, and
      local, under /etc/apparmor.d: "local" is handled by dh_apparmor,
      and the others we don't use anymore because the profile is no
      longer installed disabled

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 Feb 2023 13:58:38 -0300

rsyslog (8.2302.0-1) unstable; urgency=medium

  * New upstream version 8.2302.0
  * Bump Standards-Version to 4.6.2
  * Add /usr/sbin to PATH when running test suite.
    This ensures that the logrotate binary is found and we don't skip the
    corresponding tests.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Feb 2023 20:43:00 +0100

rsyslog (8.2212.0-1) unstable; urgency=medium

  * New upstream version 8.2212.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 13:58:48 +0100

rsyslog (8.2210.0-3ubuntu2) lunar; urgency=medium

  * Support apparmor profile snippets:
    - d/usr.sbin.rsyslogd: add "include if exists" for the rsyslog.d
      directory, and remove the now unnecessary  mysql and postgresql
      sections
    - d/rsyslog.preinst: don't disable the apparmor profile on install
    - d/rsyslog.postinst: remove disabling of apparmor on upgrades if we
      are upgrading from a version older than $now.
    - d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d/
    - d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
      profile for mysql plugin
    - d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor

