## rsyslog 8.2304.0

=== debian/changelog ===
rsyslog (8.2304.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Sun, 18 Jun 2023 12:52:19 +0300

rsyslog (8.2304.0-1) unstable; urgency=medium

  * New upstream version 8.2304.0

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jun 2023 18:44:36 +0200
