## rsyslog 8.2306.0

=== debian/changelog ===
rsyslog (8.2306.0-2ubuntu2) mantic; urgency=medium

  * Amend list of expected messages d/rsyslog.logcheck.ignore.server
    to fix armhf autopkgtest (LP: #2028935)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 04 Sep 2023 15:33:45 +0200

rsyslog (8.2306.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028935)
  * New change:
    - d/test/logcheck: fix failures caused by apparmor and timing
  * Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as non
      log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests (LP #1906333):
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: DEP8 test using rsyslog with a
        MySQL server
      + d/t/control, d/t/simple-pgsql: DEP8 test using rsyslog with a
        PostgreSQL server
      + d/t/apparmor-include-mechanism: DEP8 test for the rsyslog.d
        include mechanism used by the rsyslog apparmor profile

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 23 Aug 2023 11:26:01 +0200

rsyslog (8.2306.0-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Update logcheck rules for latest debian defaults.
    New patterns cope with both
    - The high precision timestamps which appear in syslog (rsyslog default
      since bookworm).
    - The inclusion of a pid after 'rsyslogd' which is logged in the journal
      (checked by logcheck since bookworm). The first two 'kernel' messages
      are not generated any more but systemd generates a message about a
      socket which is now captured.
    (Closes: #1038163)
  * Add autopkgtests (for logcheck rules).
    A simple test that checks that rsyslog's logcheck rules work.
  * Add debian/salsa-ci.yml

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 23:14:06 +0200

rsyslog (8.2306.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2025678). Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf

