=== debian/control ===
--- 
+++ 
@@ -179,7 +179,7 @@
          ${misc:Depends},
          rsyslog (= ${binary:Version})
 Description: ZeroMQ protocol support for rsyslog via CZMQ
- These plugins allows rsyslog to send and receive ZeroMQ syslog
+ These plugins allow rsyslog to send and receive ZeroMQ syslog
  messages via the CZMQ library.
 
 Package: rsyslog-hiredis
@@ -198,7 +198,7 @@
          ${misc:Depends},
          rsyslog (= ${binary:Version})
 Description: SNMP protocol support for rsyslog
- This plugins allows rsyslog to send syslog messages via SNMPv1 and SNMPv2c
+ This plugin allows rsyslog to send syslog messages via SNMPv1 and SNMPv2c
  traps. By default, SNMPv2c is preferred.
 
 Package: rsyslog-kubernetes
@@ -207,5 +207,5 @@
          ${misc:Depends},
          rsyslog (= ${binary:Version})
 Description: Kubernetes metadata support for rsyslog
- This plugins allows rsyslog to augment syslog messages with Kubernetes
+ These plugins allow rsyslog to augment syslog messages with Kubernetes
  metadata.
