## rsyslog 8.2308.0

=== debian/changelog ===
rsyslog (8.2308.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Wed, 16 Aug 2023 20:28:16 +0300

rsyslog (8.2308.0-1) unstable; urgency=medium

  * New upstream version 8.2308.0

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Aug 2023 08:03:33 +0200
