## rsyslog 8.2310.0

=== debian/changelog ===
rsyslog (8.2310.0-4.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Tue, 28 Nov 2023 14:12:20 +0200

rsyslog (8.2310.0-4) unstable; urgency=medium

  * Drop BindPaths=-/dev/xconsole from rsyslog.service.
    This needs to be removed after the switch to /run/xconsole.
    (Closes: #1056066)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 18:12:06 +0100

rsyslog (8.2310.0-3) unstable; urgency=medium

  * Drop unused --with-systemdsystemunitdir configure switch.
    It's not actually used since we install debian/rsyslog.service via
    dh_installsystemd.
  * Recommend /run/xconsole for message forwarding to xconsole.
    The recent sandboxing of rsyslog broke message forwarding to
    /dev/xconsole. It is recommended to use /run/xconsole instead and
    replace /dev/xconsole with a symlink pointing at /run/xconsole.
    Update the example files and add a corresponding NEWS entry.
    (Closes: #1056066)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 08:23:12 +0100

rsyslog (8.2310.0-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Update autopkgtest now that rsyslog.service is hardened
    Previously, rsyslog was told to put its entries in
    /tmp/test-rsyslog-syslog.log which was then checked with logcheck.
    But rsyslog.service now runs with PrivateTmp=true which means
    test-rsyslog-syslog.log is not available after the service ends.
    (Additionally, improve diagnostic messages when no output was detected)
    (Closes: #1053898)

  [ Michael Biebl ]
  * Limit exposure to remote access.
    Use `RestrictAddressFamilies=AF_INET AF_INET6 AF_UNIX` to limit the set
    of socket address families accessible to rsyslog.
    Thanks to Robert Edmonds <edmonds@debian.org>
  * Make /dev/xconsole available in rsyslog.service.
    This was broken by the recent hardening of the service. Make the
    xconsole pipe available if enabled. (Closes: #1053913)

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Oct 2023 21:09:00 +0200

rsyslog (8.2310.0-1) unstable; urgency=medium

  * New upstream version 8.2310.0
  * Enable various systemd sandboxing and security hardening features in
    rsyslog.service (Closes: #688889, #771636)

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Oct 2023 21:07:34 +0200
