## rsyslog 8.2312.0

=== debian/changelog ===
rsyslog (8.2312.0-3ubuntu9) noble; urgency=high

  * No change rebuild against libgnutls30t64, libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:24 +0200

rsyslog (8.2312.0-3ubuntu8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:10:44 +0000

rsyslog (8.2312.0-3ubuntu7) noble; urgency=medium

  * debian/patches/rsyslog-time64-fix.patch: Fix time_t value formatting
    in k8s support.

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 21 Mar 2024 20:28:54 -0600

rsyslog (8.2312.0-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:58:55 +0000

rsyslog (8.2312.0-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:12:46 +0000

rsyslog (8.2312.0-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:12:22 +0000

rsyslog (8.2312.0-3ubuntu3) noble; urgency=medium

  * ubuntu d/rsyslog.service ProtectHome=no (LP: #2051405)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 27 Jan 2024 10:34:41 +0100

rsyslog (8.2312.0-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libhiredis1.1.0

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 26 Jan 2024 10:33:54 -0700

rsyslog (8.2312.0-3ubuntu1) noble; urgency=medium

  Merge with Debian unstable (LP: #2045033). Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests (LP #1906333): + d/t/control, d/t/simple-logger:
      simple logger test
    + d/t/utils: common function(s)
    + d/t/control, d/t/simple-mysql: DEP8 test using rsyslog with a MySQL server
    + d/t/control, d/t/simple-pgsql: DEP8 test using rsyslog with a PostgreSQL server
    + d/t/apparmor-include-mechanism: DEP8 test for the rsyslog.d include mechanism used by the rsyslog apparmor profile
    + ubuntu: update debian/rsyslog.logcheck.ignore.server
    + Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
    + ubuntu: add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    + ubuntu: adjust sandboxing
    + d/p/omusrmsg-bugfix-potential-double-free-which-can-caus.patch

  * New changes
    + d/p/plugins-FromHost-must-be-63-characters-long.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 12 Jan 2024 13:27:29 +0100

rsyslog (8.2312.0-3) unstable; urgency=medium

  * Drop unused systemd Build-Depends.
    Unfortunately, we can't run the journal related tests during build as

