=== debian/watch ===
version=4
https://www.rsyslog.com/downloads/download-v8-stable/ .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
