## rsyslog 8.2402.0

=== debian/changelog ===
rsyslog (8.2402.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Wed, 28 Feb 2024 15:43:19 +0200

rsyslog (8.2402.0-1) unstable; urgency=medium

  * New upstream version 8.2402.0
    - Fixes "rsyslog-mysql: Data too long for column 'FromHost'"
      (Closes: #1060868)
  * Rebase patches
  * Build-depend on pkgconf rather that pkg-config

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Feb 2024 17:48:36 +0100
