=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: rsyslog
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libzstd-dev (>= 1.4.0),
@@ -25,8 +23,7 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
-               pkg-config,
+               pkgconf,
                bison,
                flex,
                procps <!nocheck>,
@@ -51,16 +48,15 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
-         ucf
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
           rsyslog-mongodb,
           rsyslog-doc,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.8.96~2541-0ubuntu4~)
+          rsyslog-relp
+Breaks: runit-services-net-antix (<= 0.1.7)
+Replaces: runit-services-net-antix (<= 0.1.7)
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
