## rsyslog 8.2404.0

=== debian/changelog ===
rsyslog (8.2404.0-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Thu, 11 Apr 2024 20:53:42 +0300

rsyslog (8.2404.0-2) unstable; urgency=medium

  * Fix time_t related issues.
    Timestamps can be 64bit, even on 32bit architectures.
    See https://wiki.debian.org/ReleaseGoals/64bit-time

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Apr 2024 19:38:43 +0200

rsyslog (8.2404.0-1) unstable; urgency=medium

  * New upstream version 8.2404.0

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Apr 2024 21:15:22 +0200
