## rsyslog 8.2406.0

=== debian/changelog ===
rsyslog (8.2406.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Thu, 04 Jul 2024 18:00:29 +0300

rsyslog (8.2406.0-1) unstable; urgency=medium

  * New upstream version 8.2406.0
  * Bump Standards-Version to 4.7.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2024 16:44:09 +0200
