=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                logrotate <!nocheck>,
                iproute2 [linux-any] <!nocheck>,
                curl <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
 Vcs-Browser: https://salsa.debian.org/debian/rsyslog
