=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,13 @@
 
 export PYTHON=/usr/bin/python3
 
-# the default LDFLAGS="-Wl,-Bsymbolic-functions" caused rsyslog to
-# segfault on receipt of first message (see LP: #794230)
-export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
-
 %:
 	dh $@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
-		--enable-imjournal \
-		--enable-omjournal \
+		--disable-imjournal \
+		--disable-omjournal \
 		--enable-kmsg
 endif
 
@@ -44,11 +40,13 @@
 		--enable-pmciscoios \
 		--enable-pmcisconames \
 		--enable-pmlastmsg \
+		--enable-pmnormalize \
 		--enable-pmsnare \
 		--enable-omstdout \
 		--enable-omprog \
 		--enable-omuxsock \
 		--enable-mmanon \
+		--enable-mmnormalize \
 		--enable-mmjsonparse \
 		--enable-mmutf8fix \
 		--enable-mmpstrucdata \
@@ -68,8 +66,7 @@
 		--disable-generate-man-pages \
 		--disable-fmhttp \
 		--disable-liblogging-stdlog \
-		--without-valgrind-testbench \
-		--with-systemdsystemunitdir=/lib/systemd/system
+		--without-valgrind-testbench
 
 override_dh_auto_install:
 	dh_auto_install
@@ -82,9 +79,8 @@
 	find debian/tmp -name '*.la' -print -delete
 	dh_install
 
-override_dh_installinit:
-	dh_apparmor --profile-name=usr.sbin.rsyslogd -prsyslog
-	dh_installinit
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
