## rsyslog 8.2408.0

=== debian/changelog ===
rsyslog (8.2408.0-2) unstable; urgency=medium

  * testbench: correctly apply socket options in minitcpsrvr.
    Thanks to Chris Hofstaedtler <zeha@debian.org>

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Sep 2024 21:14:00 +0200

rsyslog (8.2408.0-1) unstable; urgency=medium

  * New upstream version 8.2408.0

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Aug 2024 22:46:50 +0200
