=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
+               libsystemd-dev (>= 209) [linux-any],
                pkgconf,
                bison,
                flex,
@@ -55,8 +56,6 @@
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
           rsyslog-relp
-Breaks: runit-services-net-antix (<= 0.1.7)
-Replaces: runit-services-net-antix (<= 0.1.7)
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
