=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
-		--disable-imjournal \
-		--disable-omjournal \
+		--enable-imjournal \
+		--enable-omjournal \
 		--enable-kmsg
 endif
 
@@ -79,9 +79,6 @@
 	find debian/tmp -name '*.la' -print -delete
 	dh_install
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
 	PATH=$$PATH:/usr/sbin dh_auto_test || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
