## rsyslog 8.2410.0

=== debian/changelog ===
rsyslog (8.2410.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Thu, 24 Oct 2024 18:22:30 +0300

rsyslog (8.2410.0-1) unstable; urgency=medium

  * New upstream version 8.2410.0
  * Drop patches that have been merged upstream

 -- Michael Biebl <biebl@debian.org>  Tue, 22 Oct 2024 20:38:34 +0200
